using System;
using System.Windows.Forms;

namespace HwComWrapperNETGui
{
    static class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main(params string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            System.Net.IPAddress initialAddress = null;
            if (args.Length == 1)
            {
                if (!System.Net.IPAddress.TryParse(args[0], out initialAddress))
                {
                    initialAddress = null;
                }
            }

            HwComForm hwComForm = new HwComForm(initialAddress);
            Application.Run(hwComForm);
        }
    }
}